<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clickable="true"
    android:focusable="true"
    android:background="#FFFFFFFF">

    <EditText
        android:id="@+id/et_mediaBoxItemStampCustom_text"
        android:background="@drawable/bg_media_box_stamp_custom_edittext"
        android:textSize="16sp"
        android:singleLine="true"
        android:maxLines="1"
        android:layout_margin="16dp"
        android:padding="8dp"
        android:hint="@string/reader_mediaBox_stamp_hintEditText"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        />

    <CheckBox
        android:id="@+id/cb_date"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="20dp"
        android:gravity="center_vertical"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/recyclerView_shapeCustom"
        app:layout_constraintLeft_toLeftOf="@id/et_mediaBoxItemStampCustom_text"
        app:layout_constraintRight_toLeftOf="@+id/cb_time"
        app:layout_constraintTop_toBottomOf="@+id/et_mediaBoxItemStampCustom_text" />

    <CheckBox
        android:id="@+id/cb_time"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginBottom="12dp"
        android:gravity="center_vertical"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/recyclerView_shapeCustom"
        app:layout_constraintLeft_toRightOf="@+id/cb_date"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/et_mediaBoxItemStampCustom_text" />

    <android.support.v7.widget.RecyclerView
        android:id="@+id/recyclerView_shapeCustom"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@id/et_mediaBoxItemStampCustom_text"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cb_date" />

</android.support.constraint.ConstraintLayout>